import { useState } from 'react'
import reactLogo from './assets/react.svg'
import viteLogo from '/vite.svg'
import './App.css'
import { Background } from './background'
import { CircularProgressbar, buildStyles } from 'react-circular-progressbar'
const percentage = 23;
function App() {
  return (
    <>
      <Background>
        {/* Header Water Level Card */}
        <section className='p-8'>
          <div className='w-full flex justify-between glass p-5'>
            <div className='flex flex-col justify-start text-start'>
              <p className='text-2xl font-bold text-white'>Water Level</p>
              <p className='text-xs text-white font-medium'>Time : <span>07 Jun 2022</span></p>
            </div>
            <div className='w-1/3 p-2'>
              <CircularProgressbar 
                value={percentage} 
                text={`${percentage}%`} 
                strokeWidth={5} 
                styles={buildStyles({
                  textColor: '#fff',
                  textSize: '20px',
                  pathColor: '#fff',
                  trailColor: '#ffffff42',
                })}  
              />
            </div>
          </div>
        </section>
      </Background>
      
    </>
  )
}

export default App
